package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.SolidwasteIndustry;
import com.lightinit.hsdatashow.entity.SolidwasteIndustryExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SolidwasteIndustryMapper {
    long countByExample(SolidwasteIndustryExample example);

    int deleteByExample(SolidwasteIndustryExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SolidwasteIndustry record);

    int insertSelective(SolidwasteIndustry record);

    List<SolidwasteIndustry> selectByExample(SolidwasteIndustryExample example);

    SolidwasteIndustry selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SolidwasteIndustry record, @Param("example") SolidwasteIndustryExample example);

    int updateByExample(@Param("record") SolidwasteIndustry record, @Param("example") SolidwasteIndustryExample example);

    int updateByPrimaryKeySelective(SolidwasteIndustry record);

    int updateByPrimaryKey(SolidwasteIndustry record);

    List<SolidwasteIndustry> getSolidwasteIndustry(@Param("year") int year);
}